VOP_REALLOCBLKS(9)

NAME
VOP_REALLOCBLKS - rearrange blocks in a file to be contiguous

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/buf.h>
int
VOP_REALLOCBLKS(struct vnode *vp, struct cluster_save *buflist);

DESCRIPTION

The arguments are:

vp  the file to manipulate

buflist
    a list of buffers to rearrange

This seems to be part of a work in progress.

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
vnode(9), buf(9)

AUTHORS
This man page was written by Doug Rabson.